# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-invada-studio-plugins
Summary:		Foo plugins - a limiter and a special dynamics processor
Version:		0.3.1
Release:		lp150.1.4
License:		GPL-2.0+
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://www.invadarecords.com/downloads/invada-studio-plugins_%{version}-1.tar.gz
URL:			http://www.invadarecords.com/Downloads.php?ID=00000263
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel
Provides:		ladspa-Invada_Studio-plugins = 0.1
Obsoletes:		ladspa-Invada_Studio-plugins <= 0.1

%description
The following plugings are included:

Utility Plugins
* Input Module => alter gain, balance, width, phase on a stereo signal 

Filter Plugins
* Low Pass Mono => gentle low pass filter
* Low Pass Stereo => gentle low pass filter
* High Pass Mono => gentle high pass filter
* High Pass Stereo => gentle high pass filter 

Simulation Plugins
* Tube - Mono => Valve warmth/distortion simulation
* Tube - Stereo => Valve warmth/distortion simulation 

Dynamics Plugins
* Compressor - Mono => Peak/RMS softclipping compressor
* Compressor - Stereo => Peak/RMS softclipping compressor 

Reverb Plugins
* ER Reverb - Mono In => Early reflection based reverb
* ER Reverb - Sum L+R In => Early reflection based reverb 



%prep
%setup -q -n invada-studio-plugins-%{version}

%build
export SUSE_ASNEEDED=0

%__make %{?jobs:-j%{jobs}}

%install
export SUSE_ASNEEDED=0
%makeinstall \
	INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa \
	INSTALL_LRDF_DIR=%{buildroot}%{_datadir}/ladspa/rdf

ln -sf %{_datadir}/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING CREDITS README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so
%dir %{_datadir}/ladspa
%{_datadir}/ladspa/*

%changelog
* Sat Jun 06 2009 Toni Graffy <toni@links2linux.de> - 0.3.1-0.pm.1
- update to 0.3.1
  - Added karmic package
  - Fixed a bug where compressor release couldn't go past 2s
  - Eliminate DC offset from Tube
  - Updated ER reflection process in line with LV2 version
* Thu Feb 26 2009 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
- package renamed to ladspa-invada-studio-plugins
* Mon Jan 26 2009 Toni Graffy <toni@links2linux.de> - 0.1-0.pm.1
- initial package 0.1
